import 'dart:io';

import 'package:fuse_wallet_sdk/fuse_wallet_sdk.dart';

void main() async {
  final credentials = EthPrivateKey.fromHex('WALLET_PRIVATE_KEY');
  // Create a project: https://developers.fuse.io
  final publicApiKey = 'YOUR_PUBLIC_API_KEY';
  final fuseSDK = await FuseSDK.init(
    publicApiKey,
    credentials,
    withPaymaster: true,
  );

  final res = await fuseSDK.approveNFTToken(
    EthereumAddress.fromHex('NFT_CONTRACT_ADDRESS'),
    EthereumAddress.fromHex('SPENDER_ADDRESS'),
    BigInt.parse('TOKEN_ID'),
  );
  print('UserOpHash: ${res.userOpHash}');

  print('Waiting for transaction...');
  final ev = await res.wait();
  print('Transaction hash: ${ev?.transactionHash}');
  exit(1);
}
